<?php


// No direct access.
defined('_JEXEC') or die;

class plgContentExtyashare extends JPlugin {
	public function onContentAfterDisplay($context, &$row, &$params, $page=0)	{	
		if($context == 'com_content.article') {
			
			//exclude
			$ext_exclude_categories 	= $this->params->get('ext_exclude_categories', 0);
			$ext_exclude_articles 	= $this->params->get('ext_exclude_articles', '');
			
			//exclude category
			if(!empty($ext_exclude_categories) AND strlen(array_search($row->catid, $ext_exclude_categories))){			
				return false;
			}			
			//exclude article 
			$excludeArray = explode(",",$ext_exclude_articles);
			if(!empty($ext_exclude_articles) AND strlen(array_search($row->id, $excludeArray))){
				return false;
			}
			
			//params
			$ext_float				= $this->params->get('ext_float', 'right');
			$ext_style 				= $this->params->get('ext_style', 'button');	
			$ext_lang				= $this->params->get('ext_lang', 'en');
			$ext_copyright			= (int)$this->params->get('ext_copyright', 1);
			$ext_display				= (int)$this->params->get('ext_display', 0);
			$ext_introtext			= (int)$this->params->get('ext_introtext', 1);
		

			//Services
			$ArrayServices = array();		
			$varNames = array('yaru', 'vkontakte', 'facebook', 'twitter', 'odnoklassniki', 'moimir', 'lj', 'friendfeed', 'moikrug', 'gplus', 'pinterest', 'surfingbird');
			foreach($varNames as $varName) {
				${$varName} = $this->params->get("$varName");
				if(${$varName} == "no") {
					${$varName} = "";
				} else {
					$ArrayServices[] = ${$varName};
					}
			}
			$ext_array_empty = array(null);
			//Cleaning array
			$ArrayServices = array_diff($ArrayServices, $ext_array_empty);			
			$ext_services = implode(',', $ArrayServices);
			
			
			// hide copyright
			if ($ext_copyright > 0) {
				$document = JFactory::getDocument();
				$document->addStyleDeclaration(' a.b-share-popup__yandex {display: none !important;} ');
			}
			// code share
			$html = '<noindex><div><div style="float:'.$ext_float.';">
			<script type="text/javascript" src="//yandex.st/share/share.js" charset="utf-8"></script>
			<div class="yashare-auto-init" data-yashareL10n="'.$ext_lang.'" data-yashareType="'.$ext_style.'"
			data-yashareQuickServices="'.$ext_services.'"></div>
			</div><div style="clear:both;"></div></div></noindex>';		
			
			// display code
			if ($ext_display > 0) {
				if ($ext_introtext > 0) {
					$row->introtext = $html . $row->introtext;
				}
				$row->text = $html . $row->text;	
				
			} else {					
					if ($ext_introtext > 0) {
						$row->introtext .= $html;
					}
					$row->text .= $html;
				}
			
			return;
		}
	}
}